[% PROCESS 'html-incblocks.txt' %]
[% INCLUDE setdate %]
[% comment = xmlnorm(param(token, 'comment')) %]
[% INCLUDE htmlstart title=comment contentClass="SingleColumnContent" %]

<H1>[% comment %]</H1>

[% INCLUDE treename %]

[% INCLUDE variables %]

[% SET pos = 1; SET global.hwpredict = 0 %]
[% FOREACH node = sortTokens(tsetMembers(token)) %]
  [% IF pos == 1 %]
<DIV CLASS="ShortLeft">
  [% ELSE %]
<DIV CLASS="ShortRight">
  [% END %]
  [% nodename=nodeParam(node,'descriptive-nickname');
     IF nodename=='';
       nodename=path(node);
     END;
     comment=nodeParam(parent(node),'comment',1); %]
  <DIV CLASS="ShortGraph">
      <DIV CLASS="NodeName">
        <A HREF="[%url(token,urlview)%]">[% nodename %]</A>
      </DIV>
      [%IF comment%]<DIV CLASS="NodeDescr">[%xmlnorm(comment)%]</DIV>[%END%]
      [%
        nodeView = param(token,'rrgraph-view');
        IF nodeView=='';
          nodeView = nodeParam(node,'rrgraph-views').split(',').0;
        END;
        nodevars = [];
        IF nodeParam(node, 'rrd-hwpredict') == 'enabled' and
           param(nodeView, 'rrd-hwpredict') != 'disabled';
          global.hwpredict = 1;
          IF variables.NOHW;
            nodevars = ['NOHW', 1];
          ELSE;
            nodevars = ['NOHW', ''];
          END;
        END
      %]
      <DIV CLASS="GraphImage">
        <A HREF="[%url(node)%]">
          <IMG SRC="[%url(node, nodeView, nodevars)%]"
               ALT="[% param(nodeView, 'description') %]">
        </A>
      </DIV>
  </DIV>
</DIV>
  [% IF pos == 1 %]
    [% SET pos = 2 %]
  [% ELSE %]
    [% SET pos = 1 %]
  [% END %]
[% END %]

<DIV CLASS="BottomShortcuts">
[%
  IF global.hwpredict;
    IF variables.NOHW;
      INCLUDE shortcut url=url(token, view, 'NOHW', '')
                       text="Enable Holt-Winters"
                       title="Switch Holt-Winters prediction boundaries";
    ELSE;
      INCLUDE shortcut url=url(token, view, 'NOHW', 1)
                       text="Disable Holt-Winters"
                       title="Switch Holt-Winters prediction boundaries";
    END;
  END
%]

[% INCLUDE shortcut url=url('SS') text="Back to tokensets list"
                    title="List of non-empty tokensets"%]
</DIV>

[% INCLUDE tsetbottomline %]
[% INCLUDE htmlend %]
